## START: Set by rpmautospec
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 18
%bcond_without check
%global debug_package %{nil}

%global crate fallible_collections

Name:           rust-%{crate}
Version:        0.4.3
Release:        %autorelease
Summary:        Crate which adds fallible allocation api to std collections

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/fallible_collections
Source:         %{crates_source}
# Initial patched metadata
# Downgrade hashbrown to 0.9
Patch0:         fallible_collections-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Crate which adds fallible allocation api to std collections.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+std_io-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std_io-devel %{_description}

This package contains library source intended for building other packages
which use "std_io" feature of "%{crate}" crate.

%files       -n %{name}+std_io-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-devel %{_description}

This package contains library source intended for building other packages
which use "unstable" feature of "%{crate}" crate.

%files       -n %{name}+unstable-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Aug 11 2021 Rémi Lauzier <remilauzier@protonmail.com> 0.4.3-3
- Add the patch

* Wed Aug 11 2021 Rémi Lauzier <remilauzier@protonmail.com> 0.4.3-2
- Downgrade hashbrown to 0.9

* Wed Aug 11 2021 Rémi Lauzier <remilauzier@protonmail.com> 0.4.3-1
- Update to version 0.4.3; Fixes RHBZ#1992295

* Fri Jun 25 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.4.2-1
- Initial package

